struct Input
{
    float4 Color : TEXCOORD0;
    float2 UV : TEXCOORD1;
};

#include "RootConstants.hlsl"

float4 main(Input input) : SV_Target0
{
    Texture2D<float4> tex = ResourceDescriptorHeap[TextureIndex];
    SamplerState      samp = SamplerDescriptorHeap[0];
    return input.Color * tex.Sample(samp, input.UV);
}
